<id>
QQ Instant Messenger
</id>

<version>
1.1
</version>

<mod info>
Adds QQ to poster info, pm sender info, profile, and member list.
</mod info>

<author>
Ho Yiu Yeung, Sheepy
</author>

<homepage>
www.anetcity.com
</homepage>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
			mg.onlineColor AS member_group_color, IFNULL(mg.groupName, '') AS member_group,
</search for>

<add before>
			mem.QQ,
</add before>


<search for>
		'icq' => $profile['ICQ'] != '' && (empty($modSettings['guest_hideContacts']) || !$user_info['is_guest']) ? array(
</search for>

<add before>
		'qq' => $profile['QQ'] != '' && (empty($modSettings['guest_hideContacts']) || !$user_info['is_guest']) ? array(
			'name' => &$profile['QQ'],
			'href' => 'http://wpa.qq.com/msgrd?V=1&amp;Site=im.qq.com&Menu=yes&amp;Uin=' . $profile['QQ'],
			'link' => '<a href="http://wpa.qq.com/msgrd?V=1&amp;Site=im.qq.com&amp;Menu=yes&amp;Uin=' . $profile['QQ'] . '" target="_blank"><img src="http://wpa.qq.com/pa?p=1:' . $profile['QQ'] . ':4" alt="' . $profile['QQ'] . '" border="0" /></a>',
			'link_text' => '<a href="http://wpa.qq.com/msgrd?V=1&amp;Site=im.qq.com&Menu=yes&amp;Uin=' . $profile['QQ'] . '" target="_blank">' . $profile['QQ'] . '</a>',
		) : array('name' => '', 'add' => '', 'href' => '', 'link' => '', 'link_text' => ''),
</add before>



<edit file>
$sourcedir/ManageMembers.php
</edit file>

<search for>
				'db_fields' => array('ICQ', 'AIM', 'YIM', 'MSN'),
</search for>

<replace>
				'db_fields' => array('QQ', 'ICQ', 'AIM', 'YIM', 'MSN'),
</replace>



<edit file>
$sourcedir/Memberlist.php
</edit file>

<search for>
		'ICQ' => array(
			'label' => $txt[513],
</search for>

<add before>
		'QQ' => array(
			'label' => $txt['qq'],
			'width' => '25'
		),
</add before>


<search for>
		'ICQ' => array(
			'down' => 'LENGTH(mem.ICQ) > 0 DESC, ISNULL(mem.ICQ) OR mem.ICQ = 0 ASC, mem.ICQ ASC',
</search for>

<add before>
		'QQ' => array(
			'down' => 'LENGTH(mem.QQ) > 0 DESC, ISNULL(mem.QQ) OR mem.QQ = 0 ASC, mem.QQ ASC',
			'up' => 'LENGTH(mem.QQ) > 0 ASC, ISNULL(mem.QQ) OR mem.QQ = 0 DESC, mem.QQ DESC'
		),
</add before>


<search for>
			mem.ID_GROUP, mem.ICQ, mem.AIM, mem.YIM, mem.MSN, mem.emailAddress,
</search for>

<add after>
			mem.QQ,
</add after>


<search for>
			$fields += array(3 => 'MSN', 'AIM', 'ICQ', 'YIM');
</search for>

<replace>
			$fields += array(3 => 'MSN', 'AIM', 'QQ', 'ICQ', 'YIM');
</replace>


<search for>
				memberName, realName, websiteTitle, websiteUrl, posts, mem.ID_GROUP, ICQ, AIM, YIM, MSN, emailAddress,
</search for>

<add after>
				QQ,
</add after>


<search for>
			$row['ICQ'] = '';
</search for>

<add before>
			$row['QQ'] = '';
</add before>


<search for>
			'icq' => array(
				'name' => $row['ICQ'],
</search for>

<add before>
  		'qq' => array(
  			'name' => $row['QQ'],
  			'href' => !empty($row['QQ']) ? 'http://wpa.qq.com/msgrd?V=1&Site=im.qq.com&Menu=yes&Uin=' . $row['QQ'] : '',
  			'link' => !empty($row['QQ']) ? '<a href="http://wpa.qq.com/msgrd?V=1&Site=im.qq.com&Menu=yes&Uin=' . $row['QQ'] . '" target="_blank"><img src="http://wpa.qq.com/pa?p=1:' . $row['QQ'] . ':4" alt="' . $row['QQ'] . '" border="0" /></a>' : '',
  		),
</add before>



<edit file>
$sourcedir/News.php
</edit file>

<search for>
		if (!empty($profile['icq']['name']))
</search for>

<add before>
		if (!empty($profile['qq']['name']))
			$data['qq'] = $profile['qq']['name'];
</add before>



<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	$profile_ints = array(
</search for>

<add after>
		'QQ',
</add after>


<search for>
	if (isset($profile_vars['ICQ']) && $profile_vars['ICQ'] == '0')
</search for>

<add before>
	if (isset($profile_vars['QQ']) && $profile_vars['QQ'] == '0')
		$profile_vars['QQ'] = '\'\'';
</add before>


<search for>
		'icq' => array('name' => !isset($user_profile[$memID]['ICQ']) ? '' : $user_profile[$memID]['ICQ']),
</search for>

<add before>
		'qq' => array('name' => !isset($user_profile[$memID]['QQ']) ? '' : $user_profile[$memID]['QQ']),
</add before>


<search for>
		'icq' => array(
			'name' => !isset($_POST['icq']) ? '' : stripslashes($_POST['ICQ'])
</search for>

<add before>
		'qq' => array(
			'name' => !isset($_POST['qq']) ? '' : stripslashes($_POST['QQ'])
		),
</add before>



<edit file>
$sourcedir/Register.php
</edit file>

<search for>
		'ICQ', 'AIM', 'YIM', 'MSN',
</search for>

<add before>
		'QQ',
</add before>



<edit file>
$themedir/Display.template.php
</edit file>

<search for>
								', $message['member']['icq']['link'], '
</search for>

<add before>
								', $message['member']['qq']['link'], '
</add before>



<edit file>
$themedir/InstantMessage.template.php
</edit file>

<search for>
									', $message['member']['icq']['link'], '
</search for>

<add before>
									', $message['member']['qq']['link'], '
</add before>



<edit file>
$themedir/Memberlist.template.php
</edit file>


<search for>
				<td colspan="12">
</search for>

<replace>
				<td colspan="13">
</replace>


<search for>
				<td colspan="12" class="catbg">';
</search for>

<replace>
				<td colspan="13" class="catbg">';
</replace>


<search for>
				<td class="windowbg2">', $member['icq']['link'], '</td>
</search for>

<add before>
				<td class="windowbg2">', $member['qq']['link'], '</td>
</add before>



<search for>
				<td colspan="12" class="windowbg">', $txt[170], '</td>
</search for>

<replace>
				<td colspan="13" class="windowbg">', $txt[170], '</td>
</replace>



<search for>
				<td class="catbg" colspan="12">', $txt[139], ': ', $context['page_index'], '</td>
</search for>

<replace>
				<td class="catbg" colspan="13">', $txt[139], ': ', $context['page_index'], '</td>
</replace>



<edit file>
$themedir/Profile.template.php
</edit file>


<search for>
				</tr><tr>
					<td><b>', $txt[513], ':</b></td>
</search for>

<add before>
				</tr><tr>
					<td><b>', $txt['qq'], ':</b></td>
					<td>', $context['member']['qq']['link_text'], '</td>
</add before>


<search for>
							<tr>
								<td width="40%"><b>', $txt[513], ': </b><div class="smalltext">', $txt[600], '</div></td>
</search for>

<add before>
							<tr>
								<td width="40%"><b>', $txt['qq'], ': </b><div class="smalltext"> </div></td>
								<td><input type="text" name="QQ" size="24" value="', $context['member']['qq']['name'], '" /></td>
							</tr>
</add before>



<edit file>
$themedir/Who.template.php
</edit file>

<search for>
					', $member['icq']['link'], ' ', $member['msn']['link'], ' ', $member['yim']['link'], ' ', $member['aim']['link'], '
</search for>

<add before>
					', $member['qq']['link'],
</add before>



<edit file>
$themedir/languages/index.chinese-simplified-utf8.php
</edit file>
<search for>
?>
</search for>
<add before>
$txt['qq'] = 'QQ';
</add before>


<edit file>
$themedir/languages/index.chinese-simplified.php
</edit file>
<search for>
?>
</search for>
<add before>
$txt['qq'] = 'QQ';
</add before>


<edit file>
$themedir/languages/index.chinese-traditional-utf8.php
</edit file>
<search for>
?>
</search for>
<add before>
$txt['qq'] = 'QQ';
</add before>


<edit file>
$themedir/languages/index.english.php
</edit file>
<search for>
?>
</search for>
<add before>
$txt['qq'] = 'QQ';
</add before>



<edit file>
$themedir/languages/Profile.english.php
</edit file>
<search for>
?>
</search for>
<add before>
$txt['qq_input'] = 'This is your QQ number.';
</add before>
